petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESLoad

Loads a SNES that has been stored in binary with SNESView().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLoad(SNES snes, PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

| newdm | - the newly loaded SNES, this needs to have been created with SNESCreate() or some related function before a call to SNESLoad().
| viewer | - binary file viewer, obtained from PetscViewerBinaryOpen()

### Notes

The type is determined by the data in the file, any type set into the SNES before this call is ignored.

### Notes for advanced users

Most users should not need to know the details of the binary storage format, since SNESLoad() and TSView() completely hide these details. But for anyone who's interested, the standard binary matrix storage format is

         has not yet been determined

### See Also

PetscViewerBinaryOpen(), SNESView(), MatLoad(), VecLoad()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages